[ opensips-Bugs-2219574 ] pua_bla/notify.c breaks RFC3265

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ opensips-Bugs-2219574 ] pua_bla/notify.c breaks RFC3265

SourceForge.net
Bugs item #2219574, was opened at 2008-11-03 22:43
Message generated for change (Tracker Item Submitted) made by Item Submitter
You can respond by visiting:
https://sourceforge.net/tracker/?func=detail&atid=1086410&aid=2219574&group_id=232389

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: modules
Group: trunk
Status: Open
Resolution: None
Priority: 5
Private: No
Submitted By: Norm Brandinger (norm_brandinger)
Assigned to: Nobody/Anonymous (nobody)
Summary: pua_bla/notify.c breaks RFC3265

Initial Comment:
pua_bla/notify.c requires the Subscription-State header value "active" to have an "expires" parameter and throws an error if it's not present.

RFC3265 (the important section listed below indicates that the "expires" is optional by use of the conditional "If".

RFC3265:

3.2.4. Subscriber NOTIFY Behavior

... If the header also contains an "expires" parameter, the subscriber ...

Note that Polycom phones appear to contain an "expires" parameter while Aastra phones to not.

Regards,
Norm


----------------------------------------------------------------------

You can respond by visiting:
https://sourceforge.net/tracker/?func=detail&atid=1086410&aid=2219574&group_id=232389

_______________________________________________
Devel mailing list
[hidden email]
http://lists.opensips.org/cgi-bin/mailman/listinfo/devel